import{s as me,n as re,o as ue}from"../chunks/scheduler.b108d059.js";import{S as he,i as fe,g as a,s as n,r as G,A as ve,h as l,f as i,c as s,j as pe,u as K,x as p,k as ce,y as be,a as o,v as R,d as Y,t as B,w as J}from"../chunks/index.008de539.js";import{H as Q}from"../chunks/Heading.88bfeb84.js";function de(V){let c,T,k,g,m,H,r,W="A competition space is a Hugging Face Space where the actual competition takes place. It is a space where you can submit your model and get a score. It is also a space where competitors can see the leaderboard, discuss, and make submissions.",L,u,X="Check out an example competition space below:",M,h,Z='<img src="https://github.com/abhishekkrthakur/public_images/blob/main/competition_space.png?raw=true" alt="competition space"/>',S,f,ee="The competition space consists of the following:",I,v,te="<li>Competition description (content is fetched from private competition repo)</li> <li>Dataset description (content is fetched from private competition repo)</li> <li>Leaderboard (content is fetched from private competition repo)<ul><li>Public (available to everyone, all the time)</li> <li>Private (available to everyone, but only after the competition ends)</li></ul></li> <li>Submissions<ul><li>Submission guidelines (content is fetched from private competition repo)</li> <li>My submissions (users can see their own submissions)</li> <li>New submission (users can make new submissions)</li></ul></li> <li>Discussions (accessible via community tab)</li>",A,b,E,d,ie="The competition space requires two secrets:",N,x,oe="<li><code>HF_TOKEN</code>: this is the Hugging Face write token of the user who created the competition space. This token must be kept alive for the duration of the competition. In case the token expires, the competition space will stop working. If you change/refresh/delete this token, you will need to update this secret.</li> <li><code>COMPETITION_ID</code>: this is the path of private competition repo. e.g. <code>abhishek/private-competition-data</code>. If you change the name of the private competition repo, you will need to update this secret.</li>",j,C,ne="Note: The above two secrets are crucial for the competition space to work!",z,w,D,_,se=`A competition space can be public or private. A public competition space is available to everyone, all the time.
A private competition space is only available to the members of the organization the competition space is created in.`,F,$,ae="You can at any point make the competition public.",O,y,le="Generally, we recommend testing every aspect of the competition space in a private competition space before making it public.",U,P,q;return m=new Q({props:{title:"Competition Space",local:"competition-space",headingTag:"h1"}}),b=new Q({props:{title:"Secrets",local:"secrets",headingTag:"h3"}}),w=new Q({props:{title:"Public & private competition spaces",local:"public--private-competition-spaces",headingTag:"h3"}}),{c(){c=a("meta"),T=n(),k=a("p"),g=n(),G(m.$$.fragment),H=n(),r=a("p"),r.textContent=W,L=n(),u=a("p"),u.textContent=X,M=n(),h=a("p"),h.innerHTML=Z,S=n(),f=a("p"),f.textContent=ee,I=n(),v=a("ul"),v.innerHTML=te,A=n(),G(b.$$.fragment),E=n(),d=a("p"),d.textContent=ie,N=n(),x=a("ul"),x.innerHTML=oe,j=n(),C=a("p"),C.textContent=ne,z=n(),G(w.$$.fragment),D=n(),_=a("p"),_.textContent=se,F=n(),$=a("p"),$.textContent=ae,O=n(),y=a("p"),y.textContent=le,U=n(),P=a("p"),this.h()},l(e){const t=ve("svelte-u9bgzb",document.head);c=l(t,"META",{name:!0,content:!0}),t.forEach(i),T=s(e),k=l(e,"P",{}),pe(k).forEach(i),g=s(e),K(m.$$.fragment,e),H=s(e),r=l(e,"P",{"data-svelte-h":!0}),p(r)!=="svelte-1tuherj"&&(r.textContent=W),L=s(e),u=l(e,"P",{"data-svelte-h":!0}),p(u)!=="svelte-1opn951"&&(u.textContent=X),M=s(e),h=l(e,"P",{"data-svelte-h":!0}),p(h)!=="svelte-23i3op"&&(h.innerHTML=Z),S=s(e),f=l(e,"P",{"data-svelte-h":!0}),p(f)!=="svelte-izjak5"&&(f.textContent=ee),I=s(e),v=l(e,"UL",{"data-svelte-h":!0}),p(v)!=="svelte-kfh3l2"&&(v.innerHTML=te),A=s(e),K(b.$$.fragment,e),E=s(e),d=l(e,"P",{"data-svelte-h":!0}),p(d)!=="svelte-l9uwh"&&(d.textContent=ie),N=s(e),x=l(e,"UL",{"data-svelte-h":!0}),p(x)!=="svelte-1tgl5tv"&&(x.innerHTML=oe),j=s(e),C=l(e,"P",{"data-svelte-h":!0}),p(C)!=="svelte-1uyog3y"&&(C.textContent=ne),z=s(e),K(w.$$.fragment,e),D=s(e),_=l(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-1wpuww6"&&(_.textContent=se),F=s(e),$=l(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-lacbbt"&&($.textContent=ae),O=s(e),y=l(e,"P",{"data-svelte-h":!0}),p(y)!=="svelte-ava25v"&&(y.textContent=le),U=s(e),P=l(e,"P",{}),pe(P).forEach(i),this.h()},h(){ce(c,"name","hf:doc:metadata"),ce(c,"content",xe)},m(e,t){be(document.head,c),o(e,T,t),o(e,k,t),o(e,g,t),R(m,e,t),o(e,H,t),o(e,r,t),o(e,L,t),o(e,u,t),o(e,M,t),o(e,h,t),o(e,S,t),o(e,f,t),o(e,I,t),o(e,v,t),o(e,A,t),R(b,e,t),o(e,E,t),o(e,d,t),o(e,N,t),o(e,x,t),o(e,j,t),o(e,C,t),o(e,z,t),R(w,e,t),o(e,D,t),o(e,_,t),o(e,F,t),o(e,$,t),o(e,O,t),o(e,y,t),o(e,U,t),o(e,P,t),q=!0},p:re,i(e){q||(Y(m.$$.fragment,e),Y(b.$$.fragment,e),Y(w.$$.fragment,e),q=!0)},o(e){B(m.$$.fragment,e),B(b.$$.fragment,e),B(w.$$.fragment,e),q=!1},d(e){e&&(i(T),i(k),i(g),i(H),i(r),i(L),i(u),i(M),i(h),i(S),i(f),i(I),i(v),i(A),i(E),i(d),i(N),i(x),i(j),i(C),i(z),i(D),i(_),i(F),i($),i(O),i(y),i(U),i(P)),i(c),J(m,e),J(b,e),J(w,e)}}}const xe='{"title":"Competition Space","local":"competition-space","sections":[{"title":"Secrets","local":"secrets","sections":[],"depth":3},{"title":"Public & private competition spaces","local":"public--private-competition-spaces","sections":[],"depth":3}],"depth":1}';function Ce(V){return ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ye extends he{constructor(c){super(),fe(this,c,Ce,de,me,{})}}export{ye as component};
